Bug 510518 - mod_ssl cannot handle more than 85 CAs
mod_ssl cannot handle more than 85 CAs
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: httpd (Show other bugs)
4.8
All Linux
medium Severity medium
: rc
: ---
Assigned To: Joe Orton
BaseOS QE
:
Depends On: 510515
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-09 11:27 EDT by Martin Poole
Modified: 2011-02-16 08:58 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Cause: Consequence: Fix: Result:
Story Points: ---
Clone Of: 510515
Environment:
Last Closed: 2011-02-16 08:58:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Apache Bugzilla 46952 None None None Never

  None (edit)
Description Martin Poole 2009-07-09 11:27:01 EDT
+++ This bug was initially created as a clone of Bug #510515 +++

There is an issue in the interaction of the mod_ssl/openssl
buffer handling which results in a hanging connection, when the
server is using a certificate from the CERN CA and there are more
than 85 trusted CA certificates.

The original issue with a suggested workaround:
  https://savannah.cern.ch/bugs/?48458

mod_ssl follow up with test case:
  https://issues.apache.org/bugzilla/show_bug.cgi?id=46952

related openssl bug (guest/guest):
  http://rt.openssl.org/Ticket/Display.html?id=1949

upstream mod_ssl patch
  http://svn.apache.org/viewvc?view=rev&revision=787722
Comment 4 Florian Nadge 2011-01-13 08:21:51 EST
Please be so kind and add a few key words to the technical note of this
bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:

Thanks
Comment 5 Florian Nadge 2011-01-13 08:21:53 EST
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Cause:

Consequence:

Fix:

Result:
Comment 6 Florian Nadge 2011-01-13 08:23:47 EST
Please be so kind and add a few key words to the technical note of this
bugzilla entry using the following structure:

Cause:

Consequence:

Fix:

Result:

For more details on CCFR texts, see:

https://bugzilla.redhat.com/page.cgi?id=fields.html#cf_release_notes
Comment 7 errata-xmlrpc 2011-02-16 08:58:06 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0237.html

Note You need to log in before you can comment on or make changes to this bug.